nn.pp.rccore

## Enum RCCore.Predefine

- java.lang.Object
- - java.lang.Enum<RCCore.Predefine>
  - - nn.pp.rccore.RCCore.Predefine

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.Predefine>
  Enclosing interface:
    RCCore

      public static enum RCCore.Predefine
      extends java.lang.Enum<RCCore.Predefine>

  Enumeration for encoding presets

  There are some "pre-defined" encoding settings, representing the recommended settings for a given network bandwidth.

  This is optimized for use with KX2. For KX3/KX4, this works, but it only adjusts the JPEG compression level (always 24 bit color depth is used), so it is better to set color depth and compression directly.

  See Also:
    `RCCore.getSupportedEncodingPredefines()`, `VideoEventListener.supportedEncodingPredefinesChanged(List)`, `RCCore.setEncodingPredefine(RCCore.Predefine)`, `RCCore.getEncodingColorDepthForPredefine(RCCore.Predefine)`, `RCCore.getEncodingCompressionForPredefine(RCCore.Predefine)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DSL` For usage with a DSL internet connection
    `GPRS` For usage with an GPRS internet connection
    `GSM` For usage with an GSM internet connection
    `ISDN` For usage with an ISDN internet connection
    `LAN` For usage in the LAN (usually no compression)
    `LAN_HICOLOR` For usage in the LAN (usually no compression), high color
    `MODEM` For usage with an analog modem internet connection
    `MODEM_4BIT` For usage with an analog internet connection with 4 bit greyscale
    `UMTS` For usage with an UMTS internet connection
    `VIDEO` Video optimized
    `VIDEO_HICOLOR` Video optimized with high color (16 or 24 bit)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.Predefine` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.Predefine[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VIDEO_HICOLOR

          public static final RCCore.Predefine VIDEO_HICOLOR

      Video optimized with high color (16 or 24 bit)
      See Also:
        `RCCore.Compression.VIDEO_OPTIMIZED`

    - #### VIDEO

          public static final RCCore.Predefine VIDEO

      Video optimized
      See Also:
        `RCCore.Compression.VIDEO_OPTIMIZED`

    - #### LAN_HICOLOR

          public static final RCCore.Predefine LAN_HICOLOR

      For usage in the LAN (usually no compression), high color

    - #### LAN

          public static final RCCore.Predefine LAN

      For usage in the LAN (usually no compression)

    - #### DSL

          public static final RCCore.Predefine DSL

      For usage with a DSL internet connection

    - #### UMTS

          public static final RCCore.Predefine UMTS

      For usage with an UMTS internet connection

    - #### ISDN

          public static final RCCore.Predefine ISDN

      For usage with an ISDN internet connection

    - #### MODEM

          public static final RCCore.Predefine MODEM

      For usage with an analog modem internet connection

    - #### MODEM_4BIT

          public static final RCCore.Predefine MODEM_4BIT

      For usage with an analog internet connection with 4 bit greyscale

    - #### GPRS

          public static final RCCore.Predefine GPRS

      For usage with an GPRS internet connection

    - #### GSM

          public static final RCCore.Predefine GSM

      For usage with an GSM internet connection

  - ### Method Detail

    - #### values

          public static RCCore.Predefine[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.Predefine c : RCCore.Predefine.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.Predefine valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.